**    ModelEco : MODELisation en programmation mathmatique pour l'analyse ECOnomique de l'agriculure    **

*-----------------------------------------------------------------------------*
$Ontext
Nom              risque_base.gms
Sequence
Type
Langage GAMS     
Description
" Soit une exploitation agricole qui peut pratiquer deux cultures : le bl et le mas.
On cherche  dterminer la superficie  cultiver dans chaque production, sachant que :
L'objectif de l'agriculteur est la maximisation du revenu
Par hectare, la marge brute moyenne du bl est de 450 et celle du mais de 1000.
Le bl utilise 25 heures de travail par ha et par an et le mais 50 heures
La surface de l'exploitation est de 50 ha et l'agriculteur dispose de 2000 heures de travail par an.
Les marges brutes varient suivant 5 tats de la nature quiprobables :
Etat de la nature        ble        mais
E1                       460        2000
E2                       440        500
E3                       450        300
E4                       430        1400
E5                       470        800
"

$Offtext

SET
C culture                /ble, mais/
E etat de la nature      /E1*E5/
;

SCALAR
SAU    surface agricole utile disponible         /50/
DMO    disponibilite de travail en heures        /2000/
;

PARAMETER
BMO(C) besoins en travail par hectare et par culture (heures)
/ble    25
 mais   50/
;

TABLE
MB(E,C) marge brute en fonction de l'tat de la nature et de la culture
          ble        mais
E1        460        2000
E2        440        500
E3        450        300
E4        430        1400
E5        470        800
;

PARAMETER
P(E) probabilit d'occurance de l'tat de la nature E
/E1 0.2
 E2 0.2
 E3 0.2
 E4 0.2
 E5 0.2
/
;

Variables
X(C)
Z

;

Positive variables X;

Equations

terre            contrainte de surface
travail          contrainte de travail

;


terre..            sum(C,X(C))=l= SAU;

travail..          sum(C, X(C)*BMO(C)) =l= DMO ;
